// This file is generated by kconfig_compiler from kcalc.kcfg.
// All changes you do to this file will be lost.
#ifndef KCALCSETTINGS_H
#define KCALCSETTINGS_H

#include <kconfigskeleton.h>

class KCalcSettings : public KConfigSkeleton
{
  public:

    static KCalcSettings *self();
    ~KCalcSettings();

    /**
      Get The foreground color of the display.
    */
    static
    QColor foreColor()
    {
      return self()->mForeColor;
    }

    /**
      Get The background color of the display.
    */
    static
    QColor backColor()
    {
      return self()->mBackColor;
    }

    /**
      Get The color of number buttons.
    */
    static
    QColor numberButtonsColor()
    {
      return self()->mNumberButtonsColor;
    }

    /**
      Get The color of function buttons.
    */
    static
    QColor functionButtonsColor()
    {
      return self()->mFunctionButtonsColor;
    }

    /**
      Get The color of statistical buttons.
    */
    static
    QColor statButtonsColor()
    {
      return self()->mStatButtonsColor;
    }

    /**
      Get The color of hex buttons.
    */
    static
    QColor hexButtonsColor()
    {
      return self()->mHexButtonsColor;
    }

    /**
      Get The color of memory buttons.
    */
    static
    QColor memoryButtonsColor()
    {
      return self()->mMemoryButtonsColor;
    }

    /**
      Get The color of operation buttons.
    */
    static
    QColor operationButtonsColor()
    {
      return self()->mOperationButtonsColor;
    }

    /**
      Get The font to use in the display.
    */
    static
    QFont font()
    {
      return self()->mFont;
    }

    /**
      Get Maximum number of digits.
    */
    static
    int precision()
    {
      return self()->mPrecision;
    }

    /**
      Get Number of fixed decimal places.
    */
    static
    int fixedPrecision()
    {
      return self()->mFixedPrecision;
    }

    /**
      Get Whether to use fixed decimal places.
    */
    static
    bool fixed()
    {
      return self()->mFixed;
    }

    /**
      Get Whether to beep on error.
    */
    static
    bool beep()
    {
      return self()->mBeep;
    }

    /**
      Get Whether to show the result in the window title.
    */
    static
    bool captionResult()
    {
      return self()->mCaptionResult;
    }

    /**
      Set Whether to show statistical buttons.
    */
    static
    void setShowStat( bool v )
    {
      if (!self()->isImmutable( "ShowStat" ))
        self()->mShowStat = v;
    }

    /**
      Get Whether to show statistical buttons.
    */
    static
    bool showStat()
    {
      return self()->mShowStat;
    }

    /**
      Set Whether to show Exp/Log buttons.
    */
    static
    void setShowExpLog( bool v )
    {
      if (!self()->isImmutable( "ShowExpLog" ))
        self()->mShowExpLog = v;
    }

    /**
      Get Whether to show Exp/Log buttons.
    */
    static
    bool showExpLog()
    {
      return self()->mShowExpLog;
    }

    /**
      Set Whether to show trigonometric buttons.
    */
    static
    void setShowTrig( bool v )
    {
      if (!self()->isImmutable( "ShowTrig" ))
        self()->mShowTrig = v;
    }

    /**
      Get Whether to show trigonometric buttons.
    */
    static
    bool showTrig()
    {
      return self()->mShowTrig;
    }

    /**
      Set Whether to show logic buttons.
    */
    static
    void setShowLogic( bool v )
    {
      if (!self()->isImmutable( "ShowLogic" ))
        self()->mShowLogic = v;
    }

    /**
      Get Whether to show logic buttons.
    */
    static
    bool showLogic()
    {
      return self()->mShowLogic;
    }

    static
    void writeConfig()
    {
      static_cast<KConfigSkeleton*>(self())->writeConfig();
    }
  protected:
    KCalcSettings();
    static KCalcSettings *mSelf;


    // Colors
    QColor mForeColor;
    QColor mBackColor;
    QColor mNumberButtonsColor;
    QColor mFunctionButtonsColor;
    QColor mStatButtonsColor;
    QColor mHexButtonsColor;
    QColor mMemoryButtonsColor;
    QColor mOperationButtonsColor;

    // Font
    QFont mFont;

    // Precision
    int mPrecision;
    int mFixedPrecision;
    bool mFixed;

    // General
    bool mBeep;
    bool mCaptionResult;
    bool mShowStat;
    bool mShowExpLog;
    bool mShowTrig;
    bool mShowLogic;

  private:
};

#endif

