// This file is generated by kconfig_compiler from kgpg.kcfg.
// All changes you do to this file will be lost.
#ifndef KGPGSETTINGS_H
#define KGPGSETTINGS_H

#include <kgpginterface.h>

#include <kconfigskeleton.h>

class KGpgSettings : public KConfigSkeleton
{
  public:
    class EnumPhotoProperties
    {
      public:
      enum { Disable, Small, Medium, Big, COUNT };
    };
    class EnumEncryptedDropEvent
    {
      public:
      enum { DecryptAndSave, DecryptAndOpen, Ask, COUNT };
    };
    class EnumUnencryptedDropEvent
    {
      public:
      enum { Encrypt, Sign, Ask, COUNT };
    };
    class EnumSignMenu
    {
      public:
      enum { Disabled, AllFiles, COUNT };
    };
    class EnumDecryptMenu
    {
      public:
      enum { Disabled, AllFiles, EncryptedFiles, COUNT };
    };

    static KGpgSettings *self();
    ~KGpgSettings();

    /**
      Set Custom decyption command.
    */
    static
    void setCustomDecrypt( const QString & v )
    {
      if (!self()->isImmutable( "CustomDecrypt" ))
        self()->mCustomDecrypt = v;
    }

    /**
      Get Custom decyption command.
    */
    static
    QString customDecrypt()
    {
      return self()->mCustomDecrypt;
    }

    /**
      Set Custom encryption options
    */
    static
    void setCustomEncryptionOptions( const QString & v )
    {
      if (!self()->isImmutable( "CustomEncryptionOptions" ))
        self()->mCustomEncryptionOptions = v;
    }

    /**
      Get Custom encryption options
    */
    static
    QString customEncryptionOptions()
    {
      return self()->mCustomEncryptionOptions;
    }

    /**
      Set Allow custom encryption options
    */
    static
    void setAllowCustomEncryptionOptions( bool v )
    {
      if (!self()->isImmutable( "AllowCustomEncryptionOptions" ))
        self()->mAllowCustomEncryptionOptions = v;
    }

    /**
      Get Allow custom encryption options
    */
    static
    bool allowCustomEncryptionOptions()
    {
      return self()->mAllowCustomEncryptionOptions;
    }

    /**
      Set File encryption key.
    */
    static
    void setFileEncryptionKey( const QString & v )
    {
      if (!self()->isImmutable( "FileEncryptionKey" ))
        self()->mFileEncryptionKey = v;
    }

    /**
      Get File encryption key.
    */
    static
    QString fileEncryptionKey()
    {
      return self()->mFileEncryptionKey;
    }

    /**
      Set Encrypt files
    */
    static
    void setEncryptFilesTo( bool v )
    {
      if (!self()->isImmutable( "EncryptFilesTo" ))
        self()->mEncryptFilesTo = v;
    }

    /**
      Get Encrypt files
    */
    static
    bool encryptFilesTo()
    {
      return self()->mEncryptFilesTo;
    }

    /**
      Set Use ASCII armored encryption.
    */
    static
    void setAsciiArmor( bool v )
    {
      if (!self()->isImmutable( "AsciiArmor" ))
        self()->mAsciiArmor = v;
    }

    /**
      Get Use ASCII armored encryption.
    */
    static
    bool asciiArmor()
    {
      return self()->mAsciiArmor;
    }

    /**
      Set Allow encryption with untrusted keys.
    */
    static
    void setAllowUntrustedKeys( bool v )
    {
      if (!self()->isImmutable( "AllowUntrustedKeys" ))
        self()->mAllowUntrustedKeys = v;
    }

    /**
      Get Allow encryption with untrusted keys.
    */
    static
    bool allowUntrustedKeys()
    {
      return self()->mAllowUntrustedKeys;
    }

    /**
      Set Hide the user ID.
    */
    static
    void setHideUserID( bool v )
    {
      if (!self()->isImmutable( "HideUserID" ))
        self()->mHideUserID = v;
    }

    /**
      Get Hide the user ID.
    */
    static
    bool hideUserID()
    {
      return self()->mHideUserID;
    }

    /**
      Set Shred the source file after encryption.
    */
    static
    void setShredSource( bool v )
    {
      if (!self()->isImmutable( "ShredSource" ))
        self()->mShredSource = v;
    }

    /**
      Get Shred the source file after encryption.
    */
    static
    bool shredSource()
    {
      return self()->mShredSource;
    }

    /**
      Set Enable PGP 6 compatibility.
    */
    static
    void setPgpCompatibility( bool v )
    {
      if (!self()->isImmutable( "PgpCompatibility" ))
        self()->mPgpCompatibility = v;
    }

    /**
      Get Enable PGP 6 compatibility.
    */
    static
    bool pgpCompatibility()
    {
      return self()->mPgpCompatibility;
    }

    /**
      Set Use *.pgp extension for encrypted files.
    */
    static
    void setPgpExtension( bool v )
    {
      if (!self()->isImmutable( "PgpExtension" ))
        self()->mPgpExtension = v;
    }

    /**
      Get Use *.pgp extension for encrypted files.
    */
    static
    bool pgpExtension()
    {
      return self()->mPgpExtension;
    }

    /**
      Set The path of the gpg configuration file.
    */
    static
    void setGpgConfigPath( const QString & v )
    {
      if (!self()->isImmutable( "GpgConfigPath" ))
        self()->mGpgConfigPath = v;
    }

    /**
      Get The path of the gpg configuration file.
    */
    static
    QString gpgConfigPath()
    {
      return self()->mGpgConfigPath;
    }

    /**
      Set GPG groups
    */
    static
    void setGroups( const QString & v )
    {
      if (!self()->isImmutable( "Groups" ))
        self()->mGroups = v;
    }

    /**
      Get GPG groups
    */
    static
    QString groups()
    {
      return self()->mGroups;
    }

    /**
      Set Additional key server used by kgpg
    */
    static
    void setKeyServer2( const QString & v )
    {
      if (!self()->isImmutable( "KeyServer2" ))
        self()->mKeyServer2 = v;
    }

    /**
      Get Additional key server used by kgpg
    */
    static
    QString keyServer2()
    {
      return self()->mKeyServer2;
    }

    /**
      Set Additional key server used by kgpg
    */
    static
    void setKeyServer3( const QString & v )
    {
      if (!self()->isImmutable( "KeyServer3" ))
        self()->mKeyServer3 = v;
    }

    /**
      Get Additional key server used by kgpg
    */
    static
    QString keyServer3()
    {
      return self()->mKeyServer3;
    }

    /**
      Set photo properties
    */
    static
    void setPhotoProperties( int v )
    {
      if (!self()->isImmutable( "PhotoProperties" ))
        self()->mPhotoProperties = v;
    }

    /**
      Get photo properties
    */
    static
    int photoProperties()
    {
      return self()->mPhotoProperties;
    }

    /**
      Set Show the toolbar.
    */
    static
    void setShowToolbar( bool v )
    {
      if (!self()->isImmutable( "ShowToolbar" ))
        self()->mShowToolbar = v;
    }

    /**
      Get Show the toolbar.
    */
    static
    bool showToolbar()
    {
      return self()->mShowToolbar;
    }

    /**
      Set Is the first time the application runs.
    */
    static
    void setFirstRun( bool v )
    {
      if (!self()->isImmutable( "FirstRun" ))
        self()->mFirstRun = v;
    }

    /**
      Get Is the first time the application runs.
    */
    static
    bool firstRun()
    {
      return self()->mFirstRun;
    }

    /**
      Set The size of the editor window.
    */
    static
    void setEditorGeometry( const QSize & v )
    {
      if (!self()->isImmutable( "EditorGeometry" ))
        self()->mEditorGeometry = v;
    }

    /**
      Get The size of the editor window.
    */
    static
    QSize editorGeometry()
    {
      return self()->mEditorGeometry;
    }

    /**
      Set Show the trust value in key manager.
    */
    static
    void setShowTrust( bool v )
    {
      if (!self()->isImmutable( "ShowTrust" ))
        self()->mShowTrust = v;
    }

    /**
      Get Show the trust value in key manager.
    */
    static
    bool showTrust()
    {
      return self()->mShowTrust;
    }

    /**
      Set Show the expiration value in key manager.
    */
    static
    void setShowExpi( bool v )
    {
      if (!self()->isImmutable( "ShowExpi" ))
        self()->mShowExpi = v;
    }

    /**
      Get Show the expiration value in key manager.
    */
    static
    bool showExpi()
    {
      return self()->mShowExpi;
    }

    /**
      Set Show the size value in key manager.
    */
    static
    void setShowSize( bool v )
    {
      if (!self()->isImmutable( "ShowSize" ))
        self()->mShowSize = v;
    }

    /**
      Get Show the size value in key manager.
    */
    static
    bool showSize()
    {
      return self()->mShowSize;
    }

    /**
      Set Show the creation value in key manager.
    */
    static
    void setShowCreat( bool v )
    {
      if (!self()->isImmutable( "ShowCreat" ))
        self()->mShowCreat = v;
    }

    /**
      Get Show the creation value in key manager.
    */
    static
    bool showCreat()
    {
      return self()->mShowCreat;
    }

    /**
      Set Use the mouse selection instead of the clipboard.
    */
    static
    void setUseMouseSelection( bool v )
    {
      if (!self()->isImmutable( "UseMouseSelection" ))
        self()->mUseMouseSelection = v;
    }

    /**
      Get Use the mouse selection instead of the clipboard.
    */
    static
    bool useMouseSelection()
    {
      return self()->mUseMouseSelection;
    }

    /**
      Set Start KGpg automatically at login.
    */
    static
    void setAutoStart( bool v )
    {
      if (!self()->isImmutable( "AutoStart" ))
        self()->mAutoStart = v;
    }

    /**
      Get Start KGpg automatically at login.
    */
    static
    bool autoStart()
    {
      return self()->mAutoStart;
    }

    /**
      Set Display a warning before creating temporary files during remote file operations.
    */
    static
    void setRemoteFileWarn( bool v )
    {
      if (!self()->isImmutable( "RemoteFileWarn" ))
        self()->mRemoteFileWarn = v;
    }

    /**
      Get Display a warning before creating temporary files during remote file operations.
    */
    static
    bool remoteFileWarn()
    {
      return self()->mRemoteFileWarn;
    }

    /**
      Set Handle encrypted drops
    */
    static
    void setEncryptedDropEvent( int v )
    {
      if (!self()->isImmutable( "EncryptedDropEvent" ))
        self()->mEncryptedDropEvent = v;
    }

    /**
      Get Handle encrypted drops
    */
    static
    int encryptedDropEvent()
    {
      return self()->mEncryptedDropEvent;
    }

    /**
      Set Handle unencrypted drops
    */
    static
    void setUnencryptedDropEvent( int v )
    {
      if (!self()->isImmutable( "UnencryptedDropEvent" ))
        self()->mUnencryptedDropEvent = v;
    }

    /**
      Get Handle unencrypted drops
    */
    static
    int unencryptedDropEvent()
    {
      return self()->mUnencryptedDropEvent;
    }

    /**
      Set Show the "sign file" service menu.
    */
    static
    void setSignMenu( int v )
    {
      if (!self()->isImmutable( "SignMenu" ))
        self()->mSignMenu = v;
    }

    /**
      Get Show the "sign file" service menu.
    */
    static
    int signMenu()
    {
      return self()->mSignMenu;
    }

    /**
      Set Show the "decrypt file" service menu.
    */
    static
    void setDecryptMenu( int v )
    {
      if (!self()->isImmutable( "DecryptMenu" ))
        self()->mDecryptMenu = v;
    }

    /**
      Get Show the "decrypt file" service menu.
    */
    static
    int decryptMenu()
    {
      return self()->mDecryptMenu;
    }

    /**
      Set Show tip of the day.
    */
    static
    void setShowTipOfDay( bool v )
    {
      if (!self()->isImmutable( "ShowTipOfDay" ))
        self()->mShowTipOfDay = v;
    }

    /**
      Get Show tip of the day.
    */
    static
    bool showTipOfDay()
    {
      return self()->mShowTipOfDay;
    }

    static
    void writeConfig()
    {
      static_cast<KConfigSkeleton*>(self())->writeConfig();
    }
  protected:
    KGpgSettings();
    static KGpgSettings *mSelf;


    // Decryption
    QString mCustomDecrypt;

    // Encryption
    QString mCustomEncryptionOptions;
    bool mAllowCustomEncryptionOptions;
    QString mFileEncryptionKey;
    bool mEncryptFilesTo;
    bool mAsciiArmor;
    bool mAllowUntrustedKeys;
    bool mHideUserID;
    bool mShredSource;
    bool mPgpCompatibility;
    bool mPgpExtension;

    // GPG Settings
    QString mGpgConfigPath;
    QString mGroups;
    QString mKeyServer2;
    QString mKeyServer3;

    // General Options
    int mPhotoProperties;
    bool mShowToolbar;
    bool mFirstRun;
    QSize mEditorGeometry;
    bool mShowTrust;
    bool mShowExpi;
    bool mShowSize;
    bool mShowCreat;

    // User Interface
    bool mUseMouseSelection;
    bool mAutoStart;
    bool mRemoteFileWarn;
    int mEncryptedDropEvent;
    int mUnencryptedDropEvent;
    int mSignMenu;
    int mDecryptMenu;

    // TipOfDay
    bool mShowTipOfDay;

  private:
    // Include custom additions
    #include "kgpgsettings_addons.h"
};

#endif

